Update notification email preferences
curl --request PATCH \
--url https://api.dairo.app/v1/notifications/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"preferences": {
"account": true,
"billing": true,
"usage": true,
"security": true,
"product": true
}
}
'import requests
url = "https://api.dairo.app/v1/notifications/preferences"
payload = { "preferences": {
"account": True,
"billing": True,
"usage": True,
"security": True,
"product": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
preferences: {account: true, billing: true, usage: true, security: true, product: true}
})
};
fetch('https://api.dairo.app/v1/notifications/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "notification_preferences",
"preferences": [
{
"category": "account",
"emailEnabled": true
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}Notifications
Update notification email preferences
Update notification email preferences
PATCH
/
v1
/
notifications
/
preferences
Update notification email preferences
Authorizations
Dairo API key, e.g. dairo_test_... or dairo_live_...
Body
application/json
A partial map of category -> emailEnabled. At least one known category is required; unknown category keys are rejected.
Show child attributes
Show child attributes